Difference between revisions of "PROMPT 3.0"

From Protege Wiki
Jump to: navigation, search
 
(4 intermediate revisions by 2 users not shown)
Line 4: Line 4:
 
|LastUpdate=November 30, 2006
 
|LastUpdate=November 30, 2006
 
|File=http://protege.stanford.edu/download/download.html
 
|File=http://protege.stanford.edu/download/download.html
|CompatibleWith1=Protege-OWL 3.2.1
+
|CompatibleWith1=Protege-Frames 3.3.1
 
|CompatibleWith2=Protege-Frames 3.2.1
 
|CompatibleWith2=Protege-Frames 3.2.1
 +
|CompatibleWith3=Protege-OWL 3.3.1
 +
|CompatibleWith4=Protege-OWL 3.2.1
 +
|CompatibleWith5=Protege Client-Server 3.3.1
 
|Changelog=see page for details
 
|Changelog=see page for details
 
}}
 
}}
  
 
<div style="float:left;">
 
<div style="float:left;">
 +
  
 
==Changelog Details==
 
==Changelog Details==
  
*'''Mapping mode''': create a mapping between two ontologies, and execute the mapping using a mapping interpreter
+
The change log for PROMPT 3.0 was moved on the main [[PROMPT]] page.
**Make sure to check out the page on ConfiguringPromptProjects
 
 
 
*'''Plug-in architecture''': plug in your own mapping algorithms for initial comparison of ontologies or your own user interface components
 
**For developers: [http://protege.cim3.net/cgi-bin/wiki.pl?PluginsForPrompt developing plugins for Prompt]
 
**Available Prompt plug-ins (these plugins are installed when you install Prompt):
 
***[http://www.cs.uvic.ca/~seanf/cogz/cogz.html CogZ]: use [http://www.thechiselgroup.org/jambalaya/ Jambalaya-style] visualizations for mappings
 
***FOAM in Prompt: use the [http://www.aifb.uni-karlsruhe.de/WBS/meh/foam/ FOAM] algorithm for mapping
 
***Synonyms: if you have synonyms for your terms, have Prompt use synonyms in creating lexical mappings
 
 
 
'''Important notice''': the Prompt build available with the Protege download (Protege 3.2 beta, build 331) has a bug in the FOAM plug-in to Prompt. Unfortunately, due to some recent hardware difficulties, we are unable to run a new Protege build at this time. Thus, if you would like to try out the FOAM plug-in for Prompt, you will need to do the following:
 
 
 
*[http://protege.cim3.net/file/pub/files/prompt/edu.stanford.smi.protegex.foamplugin.zip Download] an updated version of the Prompt FOAM plug-in.
 
 
 
*Navigate to the Prompt plug-ins directory: <protege-install-dir>/plugins/edu.stanford.smi.protegex.prompt/plugins.
 
 
 
*Replace the folder entitled "edu.stanford.smi.protegex.foamplugin" in this directory with the one you just downloaded and unzipped.
 
  
  
 +
[[PROMPT|'''Go back to PROMPT wiki page''']]
  
 
</div>
 
</div>

Latest revision as of 13:11, June 24, 2014

PROMPT 3.0

Version 3.0
Plugin PROMPT
Last update November 30, 2006
Download PROMPT 3.0
Compatible Protege Version

Dependency

The following dependencies exist for PROMPT 3.0:

not available

Changelog

see page for details



Changelog Details

The change log for PROMPT 3.0 was moved on the main PROMPT page.


Go back to PROMPT wiki page